[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TCommonDialogAction.Create

Constructor for the class instance.

## Declaration

Source position: stdactns.pas line 138

`public constructor TCommonDialogAction.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. Create calls CreateDialog to create and configure a new instance of the dialog class type used in the implementation. It sets the value in Enabled to True.

## See also

TCommonDialogAction.CreateDialog |  | Create a new instance of the class type needed for the dialog in the action.
TCommonDialogAction.GetDialogClass |  | Returns the class type for the dialog associated with this action.
TCustomAction.Enabled |  | Enabled - whether this action is able to be used (default is True).
TBasicAction.Create